#include<bits/stdc++.h>
#define ll long long
#define ss second
#define ff first
#define control std::cout<<"here"<<'\n';

std::vector<int> getVisionPattern1d()
{
    return {1, 3, 2, 1};
}
int getMove1d(std::vector<int> v)
{
    bool flipped = false;
    int mid = (v.size() - 1) / 2;
    if(mid == 3)
    {
        if(v[mid + 1] == 2) return 6;
        else return 0;
    }
    else
    {
        if(mid == 1)
        {
            if(v[mid - 1] == 3) return mid - 1;
            else if(v[mid + 1] == 3) return mid + 1;
            if(v[mid - 1] == 1) return mid - 1;
            else if(v[mid + 1] == 1) return mid + 1;
        }
        else if(mid == 2)
        {
            if(v[mid + 1] == 1) return mid + 2;
            else if(v[mid - 1] == 1) return mid - 2;
        }
    }
}
std::vector<std::vector<int>> getVisionPattern2d()
{
    return {};
}
std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {};
}
